package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TLendExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TLendExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNull() {
            addCriterion("BILL_CODE is null");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNotNull() {
            addCriterion("BILL_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andBillCodeEqualTo(String value) {
            addCriterion("BILL_CODE =", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotEqualTo(String value) {
            addCriterion("BILL_CODE <>", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThan(String value) {
            addCriterion("BILL_CODE >", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThanOrEqualTo(String value) {
            addCriterion("BILL_CODE >=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThan(String value) {
            addCriterion("BILL_CODE <", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThanOrEqualTo(String value) {
            addCriterion("BILL_CODE <=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLike(String value) {
            addCriterion("BILL_CODE like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotLike(String value) {
            addCriterion("BILL_CODE not like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeIn(List<String> values) {
            addCriterion("BILL_CODE in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotIn(List<String> values) {
            addCriterion("BILL_CODE not in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeBetween(String value1, String value2) {
            addCriterion("BILL_CODE between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotBetween(String value1, String value2) {
            addCriterion("BILL_CODE not between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNull() {
            addCriterion("DAY_BILLY_INDEX is null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNotNull() {
            addCriterion("DAY_BILLY_INDEX is not null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX =", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <>", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX >", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX >=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX <", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX not in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX not between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andLendNumIsNull() {
            addCriterion("LEND_NUM is null");
            return (Criteria) this;
        }

        public Criteria andLendNumIsNotNull() {
            addCriterion("LEND_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andLendNumEqualTo(Integer value) {
            addCriterion("LEND_NUM =", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumNotEqualTo(Integer value) {
            addCriterion("LEND_NUM <>", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumGreaterThan(Integer value) {
            addCriterion("LEND_NUM >", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("LEND_NUM >=", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumLessThan(Integer value) {
            addCriterion("LEND_NUM <", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumLessThanOrEqualTo(Integer value) {
            addCriterion("LEND_NUM <=", value, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumIn(List<Integer> values) {
            addCriterion("LEND_NUM in", values, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumNotIn(List<Integer> values) {
            addCriterion("LEND_NUM not in", values, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumBetween(Integer value1, Integer value2) {
            addCriterion("LEND_NUM between", value1, value2, "lendNum");
            return (Criteria) this;
        }

        public Criteria andLendNumNotBetween(Integer value1, Integer value2) {
            addCriterion("LEND_NUM not between", value1, value2, "lendNum");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysIsNull() {
            addCriterion("PLAN_LEND_DAYS is null");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysIsNotNull() {
            addCriterion("PLAN_LEND_DAYS is not null");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysEqualTo(Integer value) {
            addCriterion("PLAN_LEND_DAYS =", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysNotEqualTo(Integer value) {
            addCriterion("PLAN_LEND_DAYS <>", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysGreaterThan(Integer value) {
            addCriterion("PLAN_LEND_DAYS >", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysGreaterThanOrEqualTo(Integer value) {
            addCriterion("PLAN_LEND_DAYS >=", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysLessThan(Integer value) {
            addCriterion("PLAN_LEND_DAYS <", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysLessThanOrEqualTo(Integer value) {
            addCriterion("PLAN_LEND_DAYS <=", value, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysIn(List<Integer> values) {
            addCriterion("PLAN_LEND_DAYS in", values, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysNotIn(List<Integer> values) {
            addCriterion("PLAN_LEND_DAYS not in", values, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysBetween(Integer value1, Integer value2) {
            addCriterion("PLAN_LEND_DAYS between", value1, value2, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanLendDaysNotBetween(Integer value1, Integer value2) {
            addCriterion("PLAN_LEND_DAYS not between", value1, value2, "planLendDays");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateIsNull() {
            addCriterion("PLAN_REPAY_DATE is null");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateIsNotNull() {
            addCriterion("PLAN_REPAY_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateEqualTo(Date value) {
            addCriterion("PLAN_REPAY_DATE =", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateNotEqualTo(Date value) {
            addCriterion("PLAN_REPAY_DATE <>", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateGreaterThan(Date value) {
            addCriterion("PLAN_REPAY_DATE >", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateGreaterThanOrEqualTo(Date value) {
            addCriterion("PLAN_REPAY_DATE >=", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateLessThan(Date value) {
            addCriterion("PLAN_REPAY_DATE <", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateLessThanOrEqualTo(Date value) {
            addCriterion("PLAN_REPAY_DATE <=", value, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateIn(List<Date> values) {
            addCriterion("PLAN_REPAY_DATE in", values, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateNotIn(List<Date> values) {
            addCriterion("PLAN_REPAY_DATE not in", values, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateBetween(Date value1, Date value2) {
            addCriterion("PLAN_REPAY_DATE between", value1, value2, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andPlanRepayDateNotBetween(Date value1, Date value2) {
            addCriterion("PLAN_REPAY_DATE not between", value1, value2, "planRepayDate");
            return (Criteria) this;
        }

        public Criteria andLendTimeIsNull() {
            addCriterion("LEND_TIME is null");
            return (Criteria) this;
        }

        public Criteria andLendTimeIsNotNull() {
            addCriterion("LEND_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andLendTimeEqualTo(Date value) {
            addCriterion("LEND_TIME =", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeNotEqualTo(Date value) {
            addCriterion("LEND_TIME <>", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeGreaterThan(Date value) {
            addCriterion("LEND_TIME >", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("LEND_TIME >=", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeLessThan(Date value) {
            addCriterion("LEND_TIME <", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeLessThanOrEqualTo(Date value) {
            addCriterion("LEND_TIME <=", value, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeIn(List<Date> values) {
            addCriterion("LEND_TIME in", values, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeNotIn(List<Date> values) {
            addCriterion("LEND_TIME not in", values, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeBetween(Date value1, Date value2) {
            addCriterion("LEND_TIME between", value1, value2, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendTimeNotBetween(Date value1, Date value2) {
            addCriterion("LEND_TIME not between", value1, value2, "lendTime");
            return (Criteria) this;
        }

        public Criteria andLendManIsNull() {
            addCriterion("LEND_MAN is null");
            return (Criteria) this;
        }

        public Criteria andLendManIsNotNull() {
            addCriterion("LEND_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andLendManEqualTo(String value) {
            addCriterion("LEND_MAN =", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManNotEqualTo(String value) {
            addCriterion("LEND_MAN <>", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManGreaterThan(String value) {
            addCriterion("LEND_MAN >", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManGreaterThanOrEqualTo(String value) {
            addCriterion("LEND_MAN >=", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManLessThan(String value) {
            addCriterion("LEND_MAN <", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManLessThanOrEqualTo(String value) {
            addCriterion("LEND_MAN <=", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManLike(String value) {
            addCriterion("LEND_MAN like", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManNotLike(String value) {
            addCriterion("LEND_MAN not like", value, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManIn(List<String> values) {
            addCriterion("LEND_MAN in", values, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManNotIn(List<String> values) {
            addCriterion("LEND_MAN not in", values, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManBetween(String value1, String value2) {
            addCriterion("LEND_MAN between", value1, value2, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendManNotBetween(String value1, String value2) {
            addCriterion("LEND_MAN not between", value1, value2, "lendMan");
            return (Criteria) this;
        }

        public Criteria andLendSignImgIsNull() {
            addCriterion("LEND_SIGN_IMG is null");
            return (Criteria) this;
        }

        public Criteria andLendSignImgIsNotNull() {
            addCriterion("LEND_SIGN_IMG is not null");
            return (Criteria) this;
        }

        public Criteria andLendSignImgEqualTo(String value) {
            addCriterion("LEND_SIGN_IMG =", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgNotEqualTo(String value) {
            addCriterion("LEND_SIGN_IMG <>", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgGreaterThan(String value) {
            addCriterion("LEND_SIGN_IMG >", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgGreaterThanOrEqualTo(String value) {
            addCriterion("LEND_SIGN_IMG >=", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgLessThan(String value) {
            addCriterion("LEND_SIGN_IMG <", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgLessThanOrEqualTo(String value) {
            addCriterion("LEND_SIGN_IMG <=", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgLike(String value) {
            addCriterion("LEND_SIGN_IMG like", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgNotLike(String value) {
            addCriterion("LEND_SIGN_IMG not like", value, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgIn(List<String> values) {
            addCriterion("LEND_SIGN_IMG in", values, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgNotIn(List<String> values) {
            addCriterion("LEND_SIGN_IMG not in", values, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgBetween(String value1, String value2) {
            addCriterion("LEND_SIGN_IMG between", value1, value2, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andLendSignImgNotBetween(String value1, String value2) {
            addCriterion("LEND_SIGN_IMG not between", value1, value2, "lendSignImg");
            return (Criteria) this;
        }

        public Criteria andRevManIsNull() {
            addCriterion("REV_MAN is null");
            return (Criteria) this;
        }

        public Criteria andRevManIsNotNull() {
            addCriterion("REV_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andRevManEqualTo(String value) {
            addCriterion("REV_MAN =", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManNotEqualTo(String value) {
            addCriterion("REV_MAN <>", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManGreaterThan(String value) {
            addCriterion("REV_MAN >", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManGreaterThanOrEqualTo(String value) {
            addCriterion("REV_MAN >=", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManLessThan(String value) {
            addCriterion("REV_MAN <", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManLessThanOrEqualTo(String value) {
            addCriterion("REV_MAN <=", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManLike(String value) {
            addCriterion("REV_MAN like", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManNotLike(String value) {
            addCriterion("REV_MAN not like", value, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManIn(List<String> values) {
            addCriterion("REV_MAN in", values, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManNotIn(List<String> values) {
            addCriterion("REV_MAN not in", values, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManBetween(String value1, String value2) {
            addCriterion("REV_MAN between", value1, value2, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevManNotBetween(String value1, String value2) {
            addCriterion("REV_MAN not between", value1, value2, "revMan");
            return (Criteria) this;
        }

        public Criteria andRevInfoIsNull() {
            addCriterion("REV_INFO is null");
            return (Criteria) this;
        }

        public Criteria andRevInfoIsNotNull() {
            addCriterion("REV_INFO is not null");
            return (Criteria) this;
        }

        public Criteria andRevInfoEqualTo(String value) {
            addCriterion("REV_INFO =", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoNotEqualTo(String value) {
            addCriterion("REV_INFO <>", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoGreaterThan(String value) {
            addCriterion("REV_INFO >", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoGreaterThanOrEqualTo(String value) {
            addCriterion("REV_INFO >=", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoLessThan(String value) {
            addCriterion("REV_INFO <", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoLessThanOrEqualTo(String value) {
            addCriterion("REV_INFO <=", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoLike(String value) {
            addCriterion("REV_INFO like", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoNotLike(String value) {
            addCriterion("REV_INFO not like", value, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoIn(List<String> values) {
            addCriterion("REV_INFO in", values, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoNotIn(List<String> values) {
            addCriterion("REV_INFO not in", values, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoBetween(String value1, String value2) {
            addCriterion("REV_INFO between", value1, value2, "revInfo");
            return (Criteria) this;
        }

        public Criteria andRevInfoNotBetween(String value1, String value2) {
            addCriterion("REV_INFO not between", value1, value2, "revInfo");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlIsNull() {
            addCriterion("LEND_IMG_URL is null");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlIsNotNull() {
            addCriterion("LEND_IMG_URL is not null");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlEqualTo(String value) {
            addCriterion("LEND_IMG_URL =", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlNotEqualTo(String value) {
            addCriterion("LEND_IMG_URL <>", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlGreaterThan(String value) {
            addCriterion("LEND_IMG_URL >", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlGreaterThanOrEqualTo(String value) {
            addCriterion("LEND_IMG_URL >=", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlLessThan(String value) {
            addCriterion("LEND_IMG_URL <", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlLessThanOrEqualTo(String value) {
            addCriterion("LEND_IMG_URL <=", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlLike(String value) {
            addCriterion("LEND_IMG_URL like", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlNotLike(String value) {
            addCriterion("LEND_IMG_URL not like", value, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlIn(List<String> values) {
            addCriterion("LEND_IMG_URL in", values, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlNotIn(List<String> values) {
            addCriterion("LEND_IMG_URL not in", values, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlBetween(String value1, String value2) {
            addCriterion("LEND_IMG_URL between", value1, value2, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendImgUrlNotBetween(String value1, String value2) {
            addCriterion("LEND_IMG_URL not between", value1, value2, "lendImgUrl");
            return (Criteria) this;
        }

        public Criteria andLendMemoIsNull() {
            addCriterion("LEND_MEMO is null");
            return (Criteria) this;
        }

        public Criteria andLendMemoIsNotNull() {
            addCriterion("LEND_MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andLendMemoEqualTo(String value) {
            addCriterion("LEND_MEMO =", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoNotEqualTo(String value) {
            addCriterion("LEND_MEMO <>", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoGreaterThan(String value) {
            addCriterion("LEND_MEMO >", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoGreaterThanOrEqualTo(String value) {
            addCriterion("LEND_MEMO >=", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoLessThan(String value) {
            addCriterion("LEND_MEMO <", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoLessThanOrEqualTo(String value) {
            addCriterion("LEND_MEMO <=", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoLike(String value) {
            addCriterion("LEND_MEMO like", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoNotLike(String value) {
            addCriterion("LEND_MEMO not like", value, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoIn(List<String> values) {
            addCriterion("LEND_MEMO in", values, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoNotIn(List<String> values) {
            addCriterion("LEND_MEMO not in", values, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoBetween(String value1, String value2) {
            addCriterion("LEND_MEMO between", value1, value2, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andLendMemoNotBetween(String value1, String value2) {
            addCriterion("LEND_MEMO not between", value1, value2, "lendMemo");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNull() {
            addCriterion("INVAILD_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNotNull() {
            addCriterion("INVAILD_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagEqualTo(String value) {
            addCriterion("INVAILD_FLAG =", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotEqualTo(String value) {
            addCriterion("INVAILD_FLAG <>", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThan(String value) {
            addCriterion("INVAILD_FLAG >", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG >=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThan(String value) {
            addCriterion("INVAILD_FLAG <", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG <=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLike(String value) {
            addCriterion("INVAILD_FLAG like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotLike(String value) {
            addCriterion("INVAILD_FLAG not like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIn(List<String> values) {
            addCriterion("INVAILD_FLAG in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotIn(List<String> values) {
            addCriterion("INVAILD_FLAG not in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG not between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNull() {
            addCriterion("INVALID_TIME is null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNotNull() {
            addCriterion("INVALID_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeEqualTo(Date value) {
            addCriterion("INVALID_TIME =", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotEqualTo(Date value) {
            addCriterion("INVALID_TIME <>", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThan(Date value) {
            addCriterion("INVALID_TIME >", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME >=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThan(Date value) {
            addCriterion("INVALID_TIME <", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME <=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIn(List<Date> values) {
            addCriterion("INVALID_TIME in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotIn(List<Date> values) {
            addCriterion("INVALID_TIME not in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME not between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNull() {
            addCriterion("INVALID_MAN is null");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNotNull() {
            addCriterion("INVALID_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidManEqualTo(String value) {
            addCriterion("INVALID_MAN =", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotEqualTo(String value) {
            addCriterion("INVALID_MAN <>", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThan(String value) {
            addCriterion("INVALID_MAN >", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN >=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThan(String value) {
            addCriterion("INVALID_MAN <", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN <=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLike(String value) {
            addCriterion("INVALID_MAN like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotLike(String value) {
            addCriterion("INVALID_MAN not like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManIn(List<String> values) {
            addCriterion("INVALID_MAN in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotIn(List<String> values) {
            addCriterion("INVALID_MAN not in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManBetween(String value1, String value2) {
            addCriterion("INVALID_MAN between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotBetween(String value1, String value2) {
            addCriterion("INVALID_MAN not between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNull() {
            addCriterion("INVALID_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNotNull() {
            addCriterion("INVALID_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseEqualTo(String value) {
            addCriterion("INVALID_BECAUSE =", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <>", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThan(String value) {
            addCriterion("INVALID_BECAUSE >", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE >=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThan(String value) {
            addCriterion("INVALID_BECAUSE <", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLike(String value) {
            addCriterion("INVALID_BECAUSE like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotLike(String value) {
            addCriterion("INVALID_BECAUSE not like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIn(List<String> values) {
            addCriterion("INVALID_BECAUSE in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotIn(List<String> values) {
            addCriterion("INVALID_BECAUSE not in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE not between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}